Skip to main content
PATCH
Update environment variable

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

project_reference
string
required

Project slug, ID, or other supported project reference.

environment_id
string<uuid>
required

Environment ID containing the variable.

key
string
required

Environment variable key.

Body

application/json
new_key
string

New environment variable key.

Minimum string length: 1
Pattern: ^[A-Za-z_][A-Za-z0-9_]*$
value
string

Replacement environment variable value.

Response

Environment variable updated; the value is masked

id
string<uuid>
required
key
string
required
value
enum<string>
required
Available options:
********
has_value
boolean
required